const express = require('express');
const router = express.Router();
const authorize = require('../../../../middlewares/authorize-sapps');
const courseDocumentService = require('./courseDocument.service');

router.get('/', authorize(), getAll);
router.get('/filter', authorize(), filter);
router.post('/create', authorize(), create);
router.delete('/:id', authorize(), _delete);

module.exports = router;

function getAll(req, res, next) {
    courseDocumentService.getAllCourseDocument()
        .then(result => res.json(result))
        .catch(next);
}

function filter(req, res, next) {
    courseDocumentService.filter(req.query)
        .then(result => res.json(result))
        .catch(next);
}

function create(req, res, next) {
    courseDocumentService.assignDocumentsToCourse(req.body)
        .then(result => res.json(result))
        .catch(next);
}

function _delete(req, res, next) {
    courseDocumentService.deleteCourseDocument(req.params.id)
        .then(result => res.json(result))
        .catch(next);
}

